# API: Embeds

| Method | Path | What it does | Scope |
|---|---|---|---|
| GET | `/v1/embeds` | Embeds (tokens are never shown again) | `security:write` |
| POST | `/v1/embeds` | Embed a canvas, a work queue, a live agent's chat or a public form in another tool (owners; the token is shown once) (web app only) | `security:write` |
| DELETE | `/v1/embeds/:id` | Revoke an embed (it stops working at once) | `security:write` |

## Examples

### GET /v1/embeds

Embeds (tokens are never shown again)

```bash
curl -s "https://api.closefinch.com/v1/embeds" \
  -H "Authorization: Bearer $RA_API_KEY"
```

```js
const res = await fetch(`https://api.closefinch.com/v1/embeds`, {
  method: "GET",
  headers: { authorization: `Bearer ${process.env.RA_API_KEY}` },
});
const data = await res.json();
```

### DELETE /v1/embeds/$ID

Revoke an embed (it stops working at once)

```bash
curl -s -X DELETE "https://api.closefinch.com/v1/embeds/$ID" \
  -H "Authorization: Bearer $RA_API_KEY"
```

```js
const res = await fetch(`https://api.closefinch.com/v1/embeds/${id}`, {
  method: "DELETE",
  headers: { authorization: `Bearer ${process.env.RA_API_KEY}` },
});
const data = await res.json();
```

Request and response schemas: [https://www.closefinch.com/openapi.json](https://www.closefinch.com/openapi.json). All resources: [API reference](https://www.closefinch.com/docs/api).
